## INTRODUCTION

Entity Link Display provides a simple, reusable field formatter 
that renders a link to the current entity’s canonical URL. 
This allows site builders to add direct "view" links for 
content entities (nodes, users, taxonomy terms, etc.) 
directly in display modes, view modes, or Layout Builder 
without writing any custom code or overriding templates.

It’s particularly useful when building admin dashboards, 
reports, or content listings where a quick link to the full 
entity page is needed.
Unlike traditional approaches where you might need to override 
templates or write custom Twig for teasers, view modes, or 
Layout Builder displays, this module works out of the box — 
just like the "Link to content" field in Views.


## REQUIREMENTS

This module requires no modules outside of Drupal core.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## Features

Adds a field formatter for rendering the current entity's URL as a clickable link.
Works with all fieldable entity types (nodes, taxonomy terms, users, etc.).
Allows customization of:
Link text (e.g., "Read More", "View", or custom string).
Link target (_self or _blank).
Option to include or exclude the URL scheme (https://).
Supports multilingual sites (uses the correct translated URL).
Integrates with all view modes and display modes.

## Use Cases:

Add a "View" or "Read more" link to custom entity displays.
Build editorial or administrative views with quick access links to content.
Provide end users with a clean way to navigate to referenced entities.

## Post-Installation

Once the module is enabled:

Go to the "Manage display" tab of any fieldable entity type (e.g., content type, taxonomy term, user).
Find "Display Link" field and place as per your requirements.
Configure the formatter settings:
Choose what text should appear in the link.
Set whether the link should open in the same window or a new tab.
Adjust additional options such as the link class, title attribute, etc.
Save the display settings

## MAINTAINERS

- Manpreet Singh - [Manpreet_Singh](https://www.drupal.org/u/manpreet_singh)
- Raveen Thakur  - [raveen_thakur51](https://www.drupal.org/u/raveen_thakur51)
